# Error codes (/limited-release/alternative-payment-methods/afterpay/reference/error-codes)



Return the following error codes in the cancel URL that the merchant receives. The format for the error codes returned in the cancel URL is: `example.com/checkout/cancel?errorcode=internal_server_error&token=XXX`.

> **Note:** **Note**: The query parameters in the cancel URL are not case sensitive.

| Error code                                 | Description                                                                                                                                             |
| ------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `UNPROCESSABLE_ENTITY`                     | The requested action could not be performed, semantically incorrect, or failed business validation.                                                     |
| `REQUIRED_PARAMETER_FOR_PAYMENT_SOURCE`    | A required parameter for the Afterpay payment source is missing. Check the field location in the error response (e.g., `/purchase_units/0/invoice_id`). |
| `payee_not_enabled_for_payment_method`     | You are not authorized to accept this payment method. Ensure Afterpay is enabled and certification is complete.                                         |
| `min_amount_required_by_payment_method`    | The transaction amount doesn't meet the minimum transaction requirement of the payment method.                                                          |
| `currency_not_supported_by_payment_method` | The currency specified is not supported by the payment method.                                                                                          |
| `country_not_supported_by_payment_method`  | The country specified is not supported by the payment method.                                                                                           |
| `declined_by_payment_method`               | The transaction initiation was declined by the payment method.                                                                                          |
| `payment_method_error`                     | The transaction initiation was declined by the payment method.                                                                                          |
| `internal_server_error`                    | This error includes: encryption/decryption, database connection issues, timeouts, and unknown errors.                                                   |
| `payment_error`                            | All other errors.                                                                                                                                       |
